<html>
<head>
  <meta content="text/html;charset=utf-8" http-equiv="Content-Type">
  <meta content="utf-8" http-equiv="encoding">
  <title>Deepracer Log Analysus</title>
  <style type="text/css">
    body, html {
      font-family: sans-serif;
    }
  </style>
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
  <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.5.0/css/all.css" integrity="sha384-B4dIYHKNBt8Bc12p+WXckhzcICo0wtJAoU8YZTY5qE0Id1GSseTk6S+L3BlXeVIU" crossorigin="anonymous">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/vis/4.21.0/vis.min.css">
  <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js" integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49" crossorigin="anonymous"></script>
  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js" integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy" crossorigin="anonymous"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/vis/4.21.0/vis.js"></script>

  <script type="text/javascript" src="https://unpkg.com/alasql@4.1.2/dist/alasql.min.js"></script>

  <script type="text/javascript">
    function loadFile(event) {
      console.log("load",event )
      alasql('SELECT * FROM FILE(?,{headers:true,separator:","})', [event],function(data){
          console.log("load",data )
            
      });
    };
    function loadCSV(event) {
      console.log("load CSV",event )
      alasql('SELECT * FROM CSV(?,{headers:false,separator:","})', [event],function(data){
          console.log("load",data )
            
      });
    };

    function getTestData(steps = 50, axisMax = 314, axisStep = axisMax / steps, custom=(x,y)=>Math.sin(x/50) * Math.cos(y/50) * 50 + 50) {
      const data=new vis.DataSet();
      let counter = 0;
      for (let x = 0; x < axisMax; x+=axisStep) {
        for (let y = 0; y < axisMax; y+=axisStep) {
          var value = custom(x,y);
          data.add({id:counter++,x:x,y:y,z:value,style:value});
        }
      }
      return data
    }
     function drawVisualization(container = document.getElementById('mygraph'), data = getTestData()) {
      console.log('drawVisualization');
      var options = {
        width:  '600px',
        height: '600px',
        style: 'surface',
        showPerspective: true,
        showGrid: true,
        showShadow: false,
        keepAspectRatio: true,
        verticalRatio: 0.5
      };
      graph = new vis.Graph3d(container, data, options);
    }
  </script>
</head>
<body>
<h1>Deepracer Log Analysis</h1>
  <a href="./setUp.html">Setup</a>
  <h2>Load Data</h2>
<input id="readfile" type="file" onchange="loadFile(event)"/>
  <h2>Load Data CSV</h2>
<input id="readCSV" type="file" onchange="loadCSV(event)"/>
  <h2>Load Data jquery</h2>
<input id="with-jquery" name="with-jquery" type="file" />
 <script>
$('#with-jquery').on('change', function(event)
  {
    console.log('in jquery callback');
    filename = $('#with-jquery').val();
    console.log("filename: " + filename);
    alasql('SELECT * FROM FILE(?,{headers:true})',[event],function(res){
      console.log('in alasql callback');
        data = res;
        console.log(res);
        document.getElementById("jquery-result").textContent = JSON.stringify(res);
      });
    //loadFile(event);
  });
 </script>

 <h2>test</h2>
  <input id="3d" type="button" value="redraw" onclick=" console.log('3d onclink');drawVisualization();"/>
  <div id="mygraph"></div>
  <div id="info"></div>

 <h2>load cities from url</h2>
  <textarea id="citiesTextArea" name="data retrieved" rows="5" cols="33"></textarea>
 <input id="loadcities" type="button" value="load" onclick=" console.log('loadcities onclick'); loadCities('citiesTextArea')"/>

<script type="text/javascript">
function loadCities(target){
  alasql('SELECT * FROM xlsx("https://cdn.rawgit.com/agershun/alasql-org/gh-pages/demo/014map/cities.xlsx",{headers:true})', [], 
    function(data) {
     const x = document.createElement("TEXTAREA");
     const t = document.createTextNode("At w3schools.com you will learn how to make a website.");
     x.appendChild(t);
     document.getElementById(target).appendChild(x);
  });
}

  </script>
  </body>
</html>